package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同-付款条件表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("sales_contract_payment_condition_history")
public class SalesContractPaymentConditionHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableField("serial_number")
    private Integer serialNumber;

    /**
     * 付款条件
     */
    @TableField("payment_condition")
    private String paymentCondition;

    /**
     * 销售合同基本信息表Id
     */
    @TableField("sales_contract_basic_info_id")
    private Long salesContractBasicInfoId;

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }
    public String getPaymentCondition() {
        return paymentCondition;
    }

    public void setPaymentCondition(String paymentCondition) {
        this.paymentCondition = paymentCondition;
    }
    public Long getSalesContractBasicInfoId() {
        return salesContractBasicInfoId;
    }

    public void setSalesContractBasicInfoId(Long salesContractBasicInfoId) {
        this.salesContractBasicInfoId = salesContractBasicInfoId;
    }

    @Override
    public String toString() {
        return "SalesContractPaymentConditionHistory{" +
            "serialNumber=" + serialNumber +
            ", paymentCondition=" + paymentCondition +
            ", salesContractBasicInfoId=" + salesContractBasicInfoId +
        "}";
    }
}
